Subject: [ofa-general] Re: [PATCH RFC] iw_cxgb3: Support "iwarp-only" interfaces to avoid 4-tuple conflicts with the host stack.

From: Roland Dreier <[email-masked]>
Date: Thu, 30 Aug 2007 21:27:04 -0700

> The sysadmin creates "for iwarp use only" alias interfaces of the form
 > "devname:iw*" where devname is the native interface name (eg eth0) for the
 > iwarp netdev device.  The alias label can be anything starting with "iw".
 > The "iw" immediately after the ':' is the key used by the iwarp driver.

What's wrong with my suggestion of having the iwarp driver create an
"iwX" interface to go with the normal "ethX" interface?  It seems
simpler to me, and there's a somewhat similar precedent with how
mac80211 devices create both wlan0 and wmaster0 interfaces.

 - R.